OnlyFans API
FanslyEarnings

Get Pending Earnings

Get the current pending balance. Funds are pending for 7 days from the day they are received and unlock on a rolling basis.

GET
/api/fansly/{fanslyAccount}/earnings/pending
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/earnings/pending"
{
  "data": {
    "pendingBalance": 4416784
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055770,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}